Jump to content

Template:BasicNavbox/styles.css: Difference between revisions

From Creature Breeder Wiki
No edit summary
No edit summary
 
(21 intermediate revisions by the same user not shown)
Line 1: Line 1:
.basic-navbox {
.basic-navbox {
   width: 80%;
  margin: auto;
   width: 90%;
   box-sizing: border-box;
   box-sizing: border-box;
   border: solid 5px #000;
   border: solid 2px #000;
}
 
@media screen {
html.skin-theme-clientpref-night .basic-navbox {
      border: solid 2px #fff;
    }
}
}


.bnb-header {
.bnb-header {
   background-color: #7E7E7E;
   background-color: #BEBEBE;
   color: #fff;
   color: #000;
  padding: 5px;
  text-align: center;
  box-sizing: border-box;
  font-weight: bold;
}
}


@media (prefers-color-scheme: dark) {
@media screen {
  .bnb-header {
html.skin-theme-clientpref-night .bnb-header {
     background: #242424;
     background: #242424; /* 4A4A4A */
     color: #fff;
     color: #fff;
   }
   }
}
.bnb-row {
  margin: 5px 0 0;
  width: 100%;
}
.bnb-row-header {
  text-align: center;
  background-color: #E0E0E0;
  color: #000;
  padding: 5px;
  width: 15%;
}
@media screen {
html.skin-theme-clientpref-night .bnb-row-header {
    background: #595959;
    color: #fff;
  }
}
.bnb-row-flex {
  display: flex;
  flex-wrap: wrap;
  justify-content: flex-start;
  column-gap: 5px;
}
.bnb-cell {
  text-align: center;
  padding: 5px;
}
}

Latest revision as of 20:51, 16 April 2026

.basic-navbox {
  margin: auto;
  width: 90%;
  box-sizing: border-box;
  border: solid 2px #000;
}

@media screen {
	html.skin-theme-clientpref-night .basic-navbox {
      border: solid 2px #fff;
    }
}

.bnb-header {
  background-color: #BEBEBE;
  color: #000;
  padding: 5px;
  text-align: center;
  box-sizing: border-box;
  font-weight: bold;
}

@media screen {
	html.skin-theme-clientpref-night .bnb-header {
    background: #242424; /* 4A4A4A */
    color: #fff;
  }
}

.bnb-row {
  margin: 5px 0 0;
  width: 100%;
}

.bnb-row-header {
  text-align: center;
  background-color: #E0E0E0;
  color: #000;
  padding: 5px;
  width: 15%;
}

@media screen {
	html.skin-theme-clientpref-night .bnb-row-header {
    background: #595959;
    color: #fff;
  }
}

.bnb-row-flex {
  display: flex;
  flex-wrap: wrap;
  justify-content: flex-start;
  column-gap: 5px;
}

.bnb-cell {
  text-align: center;
  padding: 5px;
}